/*
 [The "BSD license"]
 Copyright (c) 2011 Terence Parr
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.antlr.v4.runtime.tree.gui;

public class ArialNarrow extends BasicFontMetrics {
    {
		maxCharHeight = 921;
        widths[32] = 228; // space
        widths[33] = 228; // exclam
        widths[34] = 291; // quotedbl
        widths[35] = 456; // numbersign
        widths[36] = 456; // dollar
        widths[37] = 729; // percent
        widths[38] = 546; // ampersand
        widths[39] = 157; // quotesingle
        widths[40] = 272; // parenleft
        widths[41] = 272; // parenright
        widths[42] = 318; // asterisk
        widths[43] = 479; // plus
        widths[44] = 228; // comma
        widths[45] = 272; // hyphen
        widths[46] = 228; // period
        widths[47] = 228; // slash
        widths[48] = 456; // zero
        widths[49] = 456; // one
        widths[50] = 456; // two
        widths[51] = 456; // three
        widths[52] = 456; // four
        widths[53] = 456; // five
        widths[54] = 456; // six
        widths[55] = 456; // seven
        widths[56] = 456; // eight
        widths[57] = 456; // nine
        widths[58] = 228; // colon
        widths[59] = 228; // semicolon
        widths[60] = 479; // less
        widths[61] = 479; // equal
        widths[62] = 479; // greater
        widths[63] = 456; // question
        widths[64] = 832; // at
        widths[65] = 546; // A
        widths[66] = 546; // B
        widths[67] = 591; // C
        widths[68] = 591; // D
        widths[69] = 546; // E
        widths[70] = 500; // F
        widths[71] = 638; // G
        widths[72] = 591; // H
        widths[73] = 228; // I
        widths[74] = 410; // J
        widths[75] = 546; // K
        widths[76] = 456; // L
        widths[77] = 683; // M
        widths[78] = 591; // N
        widths[79] = 638; // O
        widths[80] = 546; // P
        widths[81] = 638; // Q
        widths[82] = 591; // R
        widths[83] = 546; // S
        widths[84] = 500; // T
        widths[85] = 591; // U
        widths[86] = 546; // V
        widths[87] = 773; // W
        widths[88] = 546; // X
        widths[89] = 546; // Y
        widths[90] = 500; // Z
        widths[91] = 228; // bracketleft
        widths[92] = 228; // backslash
        widths[93] = 228; // bracketright
        widths[94] = 384; // asciicircum
        widths[95] = 456; // underscore
        widths[96] = 272; // grave
        widths[97] = 456; // a
        widths[98] = 456; // b
        widths[99] = 410; // c
        widths[100] = 456; // d
        widths[101] = 456; // e
        widths[102] = 228; // f
        widths[103] = 456; // g
        widths[104] = 456; // h
        widths[105] = 182; // i
        widths[106] = 182; // j
        widths[107] = 410; // k
        widths[108] = 182; // l
        widths[109] = 683; // m
        widths[110] = 456; // n
        widths[111] = 456; // o
        widths[112] = 456; // p
        widths[113] = 456; // q
        widths[114] = 272; // r
        widths[115] = 410; // s
        widths[116] = 228; // t
        widths[117] = 456; // u
        widths[118] = 410; // v
        widths[119] = 591; // w
        widths[120] = 410; // x
        widths[121] = 410; // y
        widths[122] = 410; // z
        widths[123] = 273; // braceleft
        widths[124] = 212; // bar
        widths[125] = 273; // braceright
        widths[126] = 479; // asciitilde
        widths[160] = 228; // nbspace
        widths[161] = 272; // exclamdown
        widths[162] = 456; // cent
        widths[163] = 456; // sterling
        widths[164] = 456; // currency
        widths[165] = 456; // yen
        widths[166] = 212; // brokenbar
        widths[167] = 456; // section
        widths[168] = 272; // dieresis
        widths[169] = 604; // copyright
        widths[170] = 303; // ordfeminine
        widths[171] = 456; // guillemotleft
        widths[172] = 479; // logicalnot
        widths[173] = 272; // sfthyphen
        widths[174] = 604; // registered
        widths[175] = 500; // overscore
        widths[176] = 399; // degree
        widths[177] = 548; // plusminus
        widths[178] = 272; // twosuperior
        widths[179] = 272; // threesuperior
        widths[180] = 272; // acute
        widths[181] = 576; // mu1
        widths[182] = 439; // paragraph
        widths[183] = 271; // middot
        widths[184] = 272; // cedilla
        widths[185] = 272; // onesuperior
        widths[186] = 298; // ordmasculine
        widths[187] = 456; // guillemotright
        widths[188] = 684; // onequarter
        widths[189] = 684; // onehalf
        widths[190] = 684; // threequarters
        widths[191] = 500; // questiondown
        widths[192] = 546; // Agrave
        widths[193] = 546; // Aacute
        widths[194] = 546; // Acircumflex
        widths[195] = 546; // Atilde
        widths[196] = 546; // Adieresis
        widths[197] = 546; // Aring
        widths[198] = 819; // AE
        widths[199] = 591; // Ccedilla
        widths[200] = 546; // Egrave
        widths[201] = 546; // Eacute
        widths[202] = 546; // Ecircumflex
        widths[203] = 546; // Edieresis
        widths[204] = 228; // Igrave
        widths[205] = 228; // Iacute
        widths[206] = 228; // Icircumflex
        widths[207] = 228; // Idieresis
        widths[208] = 591; // Eth
        widths[209] = 591; // Ntilde
        widths[210] = 638; // Ograve
        widths[211] = 638; // Oacute
        widths[212] = 638; // Ocircumflex
        widths[213] = 638; // Otilde
        widths[214] = 638; // Odieresis
        widths[215] = 479; // multiply
        widths[216] = 638; // Oslash
        widths[217] = 591; // Ugrave
        widths[218] = 591; // Uacute
        widths[219] = 591; // Ucircumflex
        widths[220] = 591; // Udieresis
        widths[221] = 546; // Yacute
        widths[222] = 546; // Thorn
        widths[223] = 500; // germandbls
        widths[224] = 456; // agrave
        widths[225] = 456; // aacute
        widths[226] = 456; // acircumflex
        widths[227] = 456; // atilde
        widths[228] = 456; // adieresis
        widths[229] = 456; // aring
        widths[230] = 729; // ae
        widths[231] = 410; // ccedilla
        widths[232] = 456; // egrave
        widths[233] = 456; // eacute
        widths[234] = 456; // ecircumflex
        widths[235] = 456; // edieresis
        widths[236] = 228; // igrave
        widths[237] = 228; // iacute
        widths[238] = 228; // icircumflex
        widths[239] = 228; // idieresis
        widths[240] = 456; // eth
        widths[241] = 456; // ntilde
        widths[242] = 456; // ograve
        widths[243] = 456; // oacute
        widths[244] = 456; // ocircumflex
        widths[245] = 456; // otilde
        widths[246] = 456; // odieresis
        widths[247] = 548; // divide
        widths[248] = 500; // oslash
        widths[249] = 456; // ugrave
        widths[250] = 456; // uacute
        widths[251] = 456; // ucircumflex
        widths[252] = 456; // udieresis
        widths[253] = 410; // yacute
        widths[254] = 456; // thorn
        widths[255] = 410; // ydieresis
    }
}